int main() {
    int L, R, N,max=0,podniz,xor,and;

    scanf("%d",&N);

    int a[N],b[N];

    for(unsigned i=0;i<N;i++) {
        scanf("%d",&a[i]);
    }

    for(unsigned i=0;i<N;i++) {
        scanf("%d",&b[i]);
    }

    for(L=0;L<N;L++) {
        xor=0;
        and=~0;

        for(R=L;L<N;L++) {
            xor ^= a[R];
            and &= b[R];

            podniz = xor*and;

            if(podniz > max) max = podniz;
        }
    }
    printf("%d",max);
}